Bug 436865 - Upgrade mode is misleading
Upgrade mode is misleading
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.3
All Linux
low Severity low
: rc
: ---
Assigned To: Joel Andres Granados
Alexander Todorov
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-10 16:15 EDT by Denise Dumas
Modified: 2009-01-20 16:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:37:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Denise Dumas 2008-03-10 16:15:42 EDT
Description of problem:

This is a placeholder to ensure that we find a solution (not necessarily through
code change) for installation's "Upgrade" mode. Currently the mode is poorly
documented and potentially misleading, as despite the implication of the name,
it does not guarantee any preservation of customer customizations. 

Options include changing the name, improving documentation, making the feature
less prominent, etc. Investigation is underway. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 3 Joel Andres Granados 2008-07-09 11:55:31 EDT
This will be included in version 11.1.2.114 of anaconda
relative commit: e561fbbccb0c8a9a480506071145ba5a4c7a14c6
Comment 4 Joel Andres Granados 2008-07-16 10:36:41 EDT
The idea here is to prevent upgrades between major versions (3->4 or 4->5).  the
only upgrades that will be minor version (5.1 -> 5.2, 5.2 -> 5.3....)
The test should be strait forward.
Comment 10 Joel Andres Granados 2008-07-18 11:55:09 EDT
The message that will appear in the log if the user makes a invalid kickstart
upgrade will be : "A kickstart upgrade was attempted on a system with no valid
upgrade candidates."
Comment 14 errata-xmlrpc 2009-01-20 16:37:54 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0164.html

Note You need to log in before you can comment on or make changes to this bug.